summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Erik Hanson2011-12-28 12:32:18 +0100
committer Robby Workman2011-12-31 07:24:59 +0100
commit3f3701b564ee8c553f236f4e1e0a5fd083945eac (patch)
treedfb04467849bc531e73a8492ba932f79c2b66ea0 /games
parentc9f29d29c8fc0be79c0e66b6c4db1650bcd6426c (diff)
downloadslackbuilds-3f3701b564ee8c553f236f4e1e0a5fd083945eac.tar.gz
games/0ad-data: Added (Data for 0 A.D.)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/0ad-data/0ad-data.SlackBuild59
-rw-r--r--games/0ad-data/0ad-data.info10
-rw-r--r--games/0ad-data/README1
-rw-r--r--games/0ad-data/slack-desc19
4 files changed, 89 insertions, 0 deletions
diff --git a/games/0ad-data/0ad-data.SlackBuild b/games/0ad-data/0ad-data.SlackBuild
new file mode 100644
index 0000000000..0c2126c21a
--- /dev/null
+++ b/games/0ad-data/0ad-data.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+#
+# Slackware build script for 0 A.D. Data
+#
+# Copyright 2010-2011 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=0ad-data
+DATANAM=0ad
+VERSION=${VERSION:-r10803}
+RELEASE=${RELEASE:-alpha}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $DATANAM-$VERSION-$RELEASE
+tar xvf $CWD/$DATANAM-$VERSION-$RELEASE-unix-data.tar.xz
+cd $DATANAM-$VERSION-$RELEASE
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/share/games
+cp -rv binaries/data $PKG/usr/share/games/0ad
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/0ad-data/0ad-data.info b/games/0ad-data/0ad-data.info
new file mode 100644
index 0000000000..8b19116439
--- /dev/null
+++ b/games/0ad-data/0ad-data.info
@@ -0,0 +1,10 @@
+PRGNAM="0ad-data"
+VERSION="r10803"
+HOMEPAGE="http://www.wildfiregames.com/0ad/"
+DOWNLOAD="http://releases.wildfiregames.com/0ad-r10803-alpha-unix-data.tar.xz"
+MD5SUM="13915fe5ded7974a22e865eef128506e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="Niels Horn"
diff --git a/games/0ad-data/README b/games/0ad-data/README
new file mode 100644
index 0000000000..672eee67b0
--- /dev/null
+++ b/games/0ad-data/README
@@ -0,0 +1 @@
+Data for the real-time strategy game 0 A.D.
diff --git a/games/0ad-data/slack-desc b/games/0ad-data/slack-desc
new file mode 100644
index 0000000000..8633e2ff5d
--- /dev/null
+++ b/games/0ad-data/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+0ad-data: 0 A.D. Data (Data for 0 A.D.)
+0ad-data:
+0ad-data: 0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-
+0ad-data: platform real-time strategy (RTS) game of ancient warfare. In short,
+0ad-data: it is a historically-based war/economy game that allows players to
+0ad-data: relive or rewrite the history of Western civilizations, focusing on
+0ad-data: the years between 500 B.C. and 500 A.D. The project is highly
+0ad-data: ambitious, involving state-of-the-art 3D graphics, detailed artwork,
+0ad-data: sound, and a flexible and powerful custom-built game engine.
+0ad-data:
+0ad-data: http://www.wildfiregames.com/0ad/